Instalar VIM en FreeBSD 11

En éste artículo explico cómo instalar VIM en FreeBSD 11. VIM es un conocido editor de texto para Linux, BSD, MS-DOS y muchos más sistemas. Normalmente viene preinstalado en la mayoría de distribuciones de Linux, pero no viene por defecto en FreeBSD.

Además, desde FreeBSD 10 se ha cambiado el gestor de paquetes del sistema, así que la información para versiones anteriores está obsoleta y no sirve. Ahora se utiliza el gestor de paquetes pkg en vez del antiguo pkg_install, el cual ya no existe.

Otra fuente de problemas es que el editor VIM normalmente se llama "vim" en las distribuciones de Linux, pero en FreeBSD no se encuentra ese paquete al intentar instalarlo, puesto que aquí se llama "vim-lite".

Por lo tanto, el comando para instalar vim-lite con el nuevo gestor de paquetes pkg es:

pkg install vim-lite

Fecha de creación: 29/4/2017 15:31:31 | Última modificación: 29/4/2017 15:31:31 | Hora del servidor: 20/9/2017 23:48:44